$(function(){
    
    var $box = $('.box');
    //$box＝boxのクラスが付いた要素と定める


    //【boxごとに色を変える動作】

    $('.bgColor, li > div, .profText').addClass('changeBg');
    //背景色を変えたい要素にchangeBgのクラスを追加
    
    //↓以下の動作を.boxごとに繰り返す
    $($box).each(function(){

        var $color = $(this).data('color');
        //$color＝HTMLに入力したカラーコードと定める
        var $targetBg = $(this).find('.changeBg');
        //$targetBg＝「子要素の中でchangeBgのクラスがついているもの」と定める

        $($targetBg).css('background-color', $color);
        //$targetBgにCSSを書き加える（background-color:$color;）

    });


    //【スクロールで背景を変える動作】

    $(window).scroll(function(){

        var $scroll = $(window).scrollTop();
        //画面がスクロールされた量を取得

        //↓以下の動作を.boxごとに繰り返す
        $($box).each(function(){

            var $point = $(this).offset().top - $(window).innerHeight() * 0.3;
            //.boxの上からの距離－ウィンドウの高さの３０％＝$point
            //↑によって、各boxが上から３０％に到達した時点で背景色が変わるようになる
            var $target = $(this);
            //.box＝$target
                
            if($scroll >= $point) {
                $target.addClass('view');
            } else {
                $target.removeClass('view');
            }
            //スクロール量が$pointより大きくなったら.boxにviewのクラスを追加する
            //そうでなければ.boxからviewのクラスを削除する
        });

    });


    //【トップまでスクロールする動作】

    $('#back').click(function(){
        $('html,body').animate({scrollTop:0}, 1200);
        //#backをクリックしたら、アニメーションしながらbodyのスクロール量を０にする（速さは1200ミリ秒）
    });
});